# Run tests in check section
# disable for bootstrapping
%bcond_with check
%define debug_package %{nil}

Name:           gocode
Version:        0.0.0.52
Release:        5
Summary:        gocode
License:        GPLv3
URL:            %{gourl}
Source0:        %{name}_%{version}.orig.tar.gz

BuildArch:      noarch

%description
gocode

%prep
%autosetup

%build

%install
install -d -p %{buildroot}/%{gopath}/src/
for file in $(find . -iname "*.go" -o -iname "*.c" -o -iname "*.h" -o -iname "*.s") ; do
    install -d -p %{buildroot}/%{gopath}/src/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/$file
    echo "%{gopath}/src/$file" >> devel.file-list
done

%files -f devel.file-list

%changelog
* Thu Apr 15 2021 panchenbo <panchenbo@uniontech.com> - 0.0.0.52-5
- add github.com/godbus/dbus/v5 

* Tue Apr 6 2021 panchenbo <panchenbo@uniontech.com> - 0.0.0.52-4
- fix spec

* Tue Apr 6 2021 panchenbo <panchenbo@uniontech.com> - 0.0.0.52-3
- add github.com/Lofanmi/pinyin-golang/pinyin

* Tue Mar 16 2021 panchenbo <panchenbo@uniontech.com> - 0.0.0.52-2
- update to 0.0.0.52
